org.apache.sling.bgservlets

## Class BackgroundHttpServletResponse

- java.lang.Object
- - org.apache.sling.bgservlets.BackgroundHttpServletResponse

All Implemented Interfaces:
  javax.servlet.http.HttpServletResponse, javax.servlet.ServletResponse

    public class BackgroundHttpServletResponse
    extends Object
    implements javax.servlet.http.HttpServletResponse

Minimal HttpServletResponse for background processing

### Field Summary

### Fields inherited from interface javax.servlet.http.HttpServletResponse

`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

### Constructor Summary

Constructors
Constructor and Description
`BackgroundHttpServletResponse(javax.servlet.http.HttpServletResponse hsr, OutputStream os)`

### Method Summary

Methods
`void` `addCookie(javax.servlet.http.Cookie arg0)`
`void` `addDateHeader(String arg0, long arg1)`
`void` `addHeader(String arg0, String arg1)`
`void` `addIntHeader(String arg0, int arg1)`
`void` `cleanup()`
`boolean` `containsHeader(String arg0)`
`String` `encodeRedirectUrl(String arg0)`
`String` `encodeRedirectURL(String arg0)`
`String` `encodeUrl(String arg0)`
`String` `encodeURL(String arg0)`
`void` `flushBuffer()`
`int` `getBufferSize()`
`String` `getCharacterEncoding()`
`String` `getContentType()`
`Locale` `getLocale()`
`javax.servlet.ServletOutputStream` `getOutputStream()`
`PrintWriter` `getWriter()`
`boolean` `isCommitted()`
`void` `reset()`
`void` `resetBuffer()`
`void` `sendError(int arg0)`
`void` `sendError(int arg0, String arg1)`
`void` `sendRedirect(String arg0)`
`void` `setBufferSize(int arg0)`
`void` `setCharacterEncoding(String arg0)`
`void` `setContentLength(int arg0)`
`void` `setContentType(String arg0)`
`void` `setDateHeader(String arg0, long arg1)`
`void` `setHeader(String arg0, String arg1)`
`void` `setIntHeader(String arg0, int arg1)`
`void` `setLocale(Locale arg0)`
`void` `setStatus(int arg0)`
`void` `setStatus(int arg0, String arg1)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BackgroundHttpServletResponse

    public BackgroundHttpServletResponse(javax.servlet.http.HttpServletResponse hsr,
                                 OutputStream os)
                                  throws IOException

Throws:
  `IOException`

### Method Detail

#### cleanup

    public void cleanup()
                 throws IOException

Throws:
  `IOException`

#### getOutputStream

    public javax.servlet.ServletOutputStream getOutputStream()
                                                      throws IOException

Specified by:
  `getOutputStream` in interface `javax.servlet.ServletResponse`
Throws:
  `IOException`

#### getWriter

    public PrintWriter getWriter()
                          throws IOException

Specified by:
  `getWriter` in interface `javax.servlet.ServletResponse`
Throws:
  `IOException`

#### addCookie

    public void addCookie(javax.servlet.http.Cookie arg0)

Specified by:
  `addCookie` in interface `javax.servlet.http.HttpServletResponse`

#### addDateHeader

    public void addDateHeader(String arg0,
                     long arg1)

Specified by:
  `addDateHeader` in interface `javax.servlet.http.HttpServletResponse`

#### addHeader

    public void addHeader(String arg0,
                 String arg1)

Specified by:
  `addHeader` in interface `javax.servlet.http.HttpServletResponse`

#### addIntHeader

    public void addIntHeader(String arg0,
                    int arg1)

Specified by:
  `addIntHeader` in interface `javax.servlet.http.HttpServletResponse`

#### containsHeader

    public boolean containsHeader(String arg0)

Specified by:
  `containsHeader` in interface `javax.servlet.http.HttpServletResponse`

#### encodeRedirectUrl

    public String encodeRedirectUrl(String arg0)

Specified by:
  `encodeRedirectUrl` in interface `javax.servlet.http.HttpServletResponse`

#### encodeRedirectURL

    public String encodeRedirectURL(String arg0)

Specified by:
  `encodeRedirectURL` in interface `javax.servlet.http.HttpServletResponse`

#### encodeUrl

    public String encodeUrl(String arg0)

Specified by:
  `encodeUrl` in interface `javax.servlet.http.HttpServletResponse`

#### encodeURL

    public String encodeURL(String arg0)

Specified by:
  `encodeURL` in interface `javax.servlet.http.HttpServletResponse`

#### sendError

    public void sendError(int arg0,
                 String arg1)
                   throws IOException

Specified by:
  `sendError` in interface `javax.servlet.http.HttpServletResponse`
Throws:
  `IOException`

#### sendError

    public void sendError(int arg0)
                   throws IOException

Specified by:
  `sendError` in interface `javax.servlet.http.HttpServletResponse`
Throws:
  `IOException`

#### sendRedirect

    public void sendRedirect(String arg0)
                      throws IOException

Specified by:
  `sendRedirect` in interface `javax.servlet.http.HttpServletResponse`
Throws:
  `IOException`

#### setDateHeader

    public void setDateHeader(String arg0,
                     long arg1)

Specified by:
  `setDateHeader` in interface `javax.servlet.http.HttpServletResponse`

#### setHeader

    public void setHeader(String arg0,
                 String arg1)

Specified by:
  `setHeader` in interface `javax.servlet.http.HttpServletResponse`

#### setIntHeader

    public void setIntHeader(String arg0,
                    int arg1)

Specified by:
  `setIntHeader` in interface `javax.servlet.http.HttpServletResponse`

#### setStatus

    public void setStatus(int arg0,
                 String arg1)

Specified by:
  `setStatus` in interface `javax.servlet.http.HttpServletResponse`

#### setStatus

    public void setStatus(int arg0)

Specified by:
  `setStatus` in interface `javax.servlet.http.HttpServletResponse`

#### flushBuffer

    public void flushBuffer()
                     throws IOException

Specified by:
  `flushBuffer` in interface `javax.servlet.ServletResponse`
Throws:
  `IOException`

#### getBufferSize

    public int getBufferSize()

Specified by:
  `getBufferSize` in interface `javax.servlet.ServletResponse`

#### getCharacterEncoding

    public String getCharacterEncoding()

Specified by:
  `getCharacterEncoding` in interface `javax.servlet.ServletResponse`

#### getContentType

    public String getContentType()

Specified by:
  `getContentType` in interface `javax.servlet.ServletResponse`

#### getLocale

    public Locale getLocale()

Specified by:
  `getLocale` in interface `javax.servlet.ServletResponse`

#### isCommitted

    public boolean isCommitted()

Specified by:
  `isCommitted` in interface `javax.servlet.ServletResponse`

#### reset

    public void reset()

Specified by:
  `reset` in interface `javax.servlet.ServletResponse`

#### resetBuffer

    public void resetBuffer()

Specified by:
  `resetBuffer` in interface `javax.servlet.ServletResponse`

#### setBufferSize

    public void setBufferSize(int arg0)

Specified by:
  `setBufferSize` in interface `javax.servlet.ServletResponse`

#### setCharacterEncoding

    public void setCharacterEncoding(String arg0)

Specified by:
  `setCharacterEncoding` in interface `javax.servlet.ServletResponse`

#### setContentLength

    public void setContentLength(int arg0)

Specified by:
  `setContentLength` in interface `javax.servlet.ServletResponse`

#### setContentType

    public void setContentType(String arg0)

Specified by:
  `setContentType` in interface `javax.servlet.ServletResponse`

#### setLocale

    public void setLocale(Locale arg0)

Specified by:
  `setLocale` in interface `javax.servlet.ServletResponse`